# Memcached::append

(PECL memcached >= 0.1.0)

Memcached::append — Append data to an existing item

### Beschreibung

public Memcached::append(string `$key`, string `$value`): ?bool

Memcached::append() appends the given `value` string to the value of an existing item. The reason that `value` is forced to be a string is that appending mixed types is not well-defined.

> Hinweis:

> If the `Memcached::OPT_COMPRESSION` is enabled, the operation will fail and a warning will be issued, because appending compressed data to a value that is potentially already compressed is not possible.

### Parameter-Liste

`key`

  Der Schlüssel, unter dem der Wert abgelegt werden soll.

`value`

  The string to append.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben. Returns `null` when compression is on.

### Fehler/Exceptions

Returns `null` and raises an `E_WARNING` when compression is enabled.

### Beispiele

Beispiel #1 Memcached::append() example

`<?php
$m = new Memcached();
$m->addServer('localhost', 11211);
$m->setOption(Memcached::OPT_COMPRESSION, false);
$m->set('foo', 'abc');
$m->append('foo', 'def');
var_dump($m->get('foo'));
?>`

Das oben gezeigte Beispiel erzeugt folgende Ausgabe:

    string(6) "abcdef"

### Siehe auch

- Memcached::appendByKey() - Append data to an existing item on a specific server
- Memcached::prepend() - Prepend data to an existing item

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open